C

C---------------------------------------------------------------------*/
C                                                                     */
C     Copyright (C) 1991, This is an unpublished work of              */
C     Supercomputer Systems Engineering & Services Company (SSESCO)   */
C             ALL RIGHTS RESERVED                                     */
C     This program is a trade secret of Supercomputer Systems         */
C     Engineering & Services Company (SSESCO) and it is not to be     */
C     copied, distributed, reproduced, published, or adapted          */
C     without prior authorization of SSESCO                           */
C                                                                     */
C---------------------------------------------------------------------*/

C
C Graf open modes
C
      integer      GrafNEWONLY, GrafOVERWRITE
      parameter (GrafNEWONLY=Z'00001')
      parameter (GrafOVERWRITE=Z'00000')

C
C Graf grid units
C
      integer      GrafGridDegrees, GrafGridRadians, GrafGridMeters
      integer      GrafGridMetersCart, GrafGridMetersCartFree
      parameter(GrafGridDegrees=0)
      parameter(GrafGridRadians=1)
      parameter(GrafGridMeters=2)
      parameter(GrafGridMetersCart=3)
      parameter(GrafGridMetersCartFree=4)

C
C Graf error codes
C
      integer GrafErrRAFS, GrafErrMalloc, GrafErrBadVect
      integer GrafErrBadScalar, GrafErrGridBound, GrafErrBadUnits
      integer GrafErrOpenFail, GrafErrGridExist, GrafErrGridUnknown
      parameter(GrafErrRAFS=-1000)
      parameter(GrafErrMalloc=GrafErrRAFS+1)
      parameter(GrafErrBadVect=GrafErrMalloc+1)
      parameter(GrafErrBadScalar=GrafErrBadVect+1)
      parameter(GrafErrGridBound=GrafErrBadScalar+1)
      parameter(GrafErrBadUnits=GrafErrGridBound+1)
      parameter(GrafErrOpenFail=GrafErrBadUnits+1)
      parameter(GrafErrGridExist=GrafErrOpenFail+1)
      parameter(GrafErrGridUnknown=GrafErrGridExist+1)

C
C misc Graf definitions
C
      integer GrafUPDATE, GrafNOUPDATE
      parameter(GrafNOUPDATE=0)
      parameter(GrafUPDATE=1)

      integer GrafSAVEMAXMIN, GrafNOSAVEMAXMIN
      parameter(GrafSAVEMAXMIN=1)
      parameter(GrafNOSAVEMAXMIN=0)

      integer GrafTIMEVAR, GrafTIMEINVAR
      parameter(GrafTIMEVAR=0)
      parameter(GrafTIMEINVAR=1)

      integer GrafERRTRAP, GrafERRRTN
      parameter(GrafERRTRAP=1)
      parameter(GrafERRRTN=0)

